// 文章
import axios from "@/util/ajax";

export default {
    // 获取热门算法
    getHotList() {
        return axios.get('/xyjc/algorithm-mall/query-hot');
    },
    // 获取首页算法列表
    getAlgorithmList(params) {
        return axios.get('/xyjc/algorithm-mall/query-index', { params });
    },
    // 根据ID查询具体算法信息
    getAlgorithmDetail(id, hasGetChild){
        return axios.post(`/xyjc/algorithm-mall/detail/${id}?hasGetChild=${hasGetChild}`);
    },
    // 申请算法
    applyAlgorithm(params) {
        return axios.post('/xyjc/algorithm-apply/add', params);
    }
}
