import axios from "@/util/ajax";

export default {
  // 主题、专题基本信息
  getThemeInfo(params) {
    return axios.get('/resourceDirectory/getThemeInfo', { params });
  },
  // 主题专题表格
  getThemeAttributesList(params) {
    return axios.get('/resourceDirectory/getThemeAttributesList', { params });
  },
  // 添加收藏
  addCollect(params) {
    return axios.post('/resourceDirectory/addCollect', params);
  },
  // 指标详情
  getIndexInfo(params) {
    return axios.get('/resourceDirectory/getIndexInfo', { params });
  },
  // api详情
  getApiInfo(params) {
    return axios.get('/resourceDirectory/getApiInfo', { params });
  },
  // api表格
  getApiReqParamList(params) {
    return axios.get('/resourceDirectory/getApiReqParamList', { params });
  },
  // 消息队列详情
  getMqsInfo(params) {
    return axios.get('/resourceDirectory/getMqsInfo', { params });
  },
  // 消息队列权限列表
  getMqsPrivs(params) {
    return axios.get('/resourceDirectory/getMqsPrivs', { params });
  }
}