// 数据组织管理
import axios from "../../util/ajax";

//查询组织树信息
const queryIndexDept = params => axios.get(`/xyjc/index-dept/query`, params);

// 增加组织信息
const addIndexDept = params => axios.post("/xyjc/index-dept/add", params);

// 编辑组织信息
const editIndexDept = params => axios.post("/xyjc/index-dept/update", params);

//删除组织信息
const deleteIndexDept = id => axios.delete(`/xyjc/index-dept/delete/${id}`);

export default {
  queryIndexDept,
  addIndexDept,
  editIndexDept,
  deleteIndexDept
};
